Fetch All Disbursements Transaction
curl --request GET \
--url https://sandbox-api.payfonte.com/billing/v1/disbursements \
--header 'client-id: <api-key>' \
--header 'client-secret: <api-key>'import requests
url = "https://sandbox-api.payfonte.com/billing/v1/disbursements"
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'client-id': '<api-key>', 'client-secret': '<api-key>'}
};
fetch('https://sandbox-api.payfonte.com/billing/v1/disbursements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"total": 58,
"page": 1,
"pages": 29,
"limit": 2,
"data": [
{
"clientId": "payfusion",
"status": "success",
"statusDescription": "success",
"reference": "D20250303232852ZSWSJ",
"providersReference": "pt-D20250303232852ZSWSJ",
"externalReference": "D20250303231740IWYKI",
"currency": "XOF",
"country": "CI",
"transferRecipientId": "677696a160f343c392c0449d",
"transferRecipientLabel": "Wave | +2250538102474",
"charge": 11000,
"amount": 100000,
"provider": "wave-ivory-coast",
"providerLabel": "Wave",
"providerLogo": "https://docs.wave.com/images/business-penguin-a4539369.png",
"channel": "mobile-money",
"integrationId": "6762bcccdd35fc1c7cae5bd6",
"id": "67c69da4099fde3f44c85345"
}
]
}Disbursements
Fetch All Disbursements Transaction
Retrieve a paginated list of all disbursement transactions
GET
/
billing
/
v1
/
disbursements
Fetch All Disbursements Transaction
Query Parameters
Start date for filtering transactions (inclusive)
Example:
"2025-01-01"
End date for filtering transactions (inclusive)
Example:
"2025-03-31"
Page number for pagination
Required range:
x >= 1Number of records per page
Required range:
1 <= x <= 100Response
200 - application/json
Successfully retrieved disbursements
⌘I